| Home | Libraries | People | FAQ | More

#### basic_socket_acceptor::operator=

Move-assign a `basic_socket_acceptor` from another.

    basic_socket_acceptor & operator=(
        basic_socket_acceptor && other);

This assignment operator moves an acceptor from one object to another.

###### Parameters

other

  The other `basic_socket_acceptor` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_socket_acceptor(io_service&) constructor`.